<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_231) on Tue Apr 06 18:16:02 CEST 2021 -->
<title>Configuration</title>
<meta name="date" content="2021-04-06">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Configuration";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":9,"i6":9,"i7":9,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":9,"i17":9,"i18":10,"i19":10,"i20":10,"i21":10,"i22":9,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Configuration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Chance.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Depart.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Configuration.html" target="_top">Frames</a></li>
<li><a href="Configuration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">back</div>
<h2 title="Class Configuration" class="title">Class Configuration</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>back.Configuration</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Configuration</span>
extends java.lang.Object
implements java.io.Serializable</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../serialized-form.html#back.Configuration">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/Configuration.html#Configuration--">Configuration</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../back/Configuration.html#Configuration-back.Configuration-">Configuration</a></span>(<a href="../back/Configuration.html" title="class in back">Configuration</a>&nbsp;c)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../back/Configuration.html" title="class in back">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#chargerConfig-java.lang.String-">chargerConfig</a></span>(java.lang.String&nbsp;nom)</code>
<div class="block">Renvoie la configuration sauvegardée dont le nom correspond au nom transmis.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;o)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getArgentCaseDepart--">getArgentCaseDepart</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getArgentDepart--">getArgentDepart</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getArgentSurCaseDepart--">getArgentSurCaseDepart</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static <a href="../back/Configuration.html" title="class in back">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getConfig--">getConfig</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="../back/Configuration.html" title="class in back">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getConfig-java.lang.String-">getConfig</a></span>(java.lang.String&nbsp;nom)</code>
<div class="block">Renvoie la configuration correspondant au nom passé en paramètre.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static javafx.collections.ObservableList&lt;<a href="../back/Configuration.html" title="class in back">Configuration</a>&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getConfigs--">getConfigs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getNbBots--">getNbBots</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getNbJoueurs--">getNbJoueurs</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getNbTours--">getNbTours</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getNom--">getNom</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.String&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getReglesAdditionnelles--">getReglesAdditionnelles</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getTaillePlateau--">getTaillePlateau</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getTpsTour--">getTpsTour</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#getTypePartie--">getTypePartie</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static <a href="../back/Configuration.html" title="class in back">Configuration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#initConfig--">initConfig</a></span>()</code>
<div class="block">Renvoie la dernière configuration modifiée du dossier de sauvegarde.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#initDossierConfigs--">initDossierConfigs</a></span>()</code>
<div class="block">Crée le dossier des configurations à l'emplacement du logiciel s'il n'existe pas.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#sauvegarderConfig--">sauvegarderConfig</a></span>()</code>
<div class="block">Sauvegarde la configuration dans le dossier des configurations, avec l'extension .config.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setArgentCaseDepart-java.lang.String-">setArgentCaseDepart</a></span>(java.lang.String&nbsp;argentCaseDepart)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setArgentDepart-java.lang.String-">setArgentDepart</a></span>(java.lang.String&nbsp;argentDepart)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setArgentSurCaseDepart-java.lang.String-">setArgentSurCaseDepart</a></span>(java.lang.String&nbsp;argentSurCaseDepart)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setConfig-back.Configuration-">setConfig</a></span>(<a href="../back/Configuration.html" title="class in back">Configuration</a>&nbsp;c)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setNbBots-int-">setNbBots</a></span>(int&nbsp;nbBots)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setNbJoueurs-int-">setNbJoueurs</a></span>(int&nbsp;nbJoueurs)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setNbTours-java.lang.String-">setNbTours</a></span>(java.lang.String&nbsp;nbTours)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setNom-java.lang.String-">setNom</a></span>(java.lang.String&nbsp;nom)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setReglesAdditionnelles-java.util.ArrayList-">setReglesAdditionnelles</a></span>(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;reglesAdditionnelles)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setTaillePlateau-java.lang.String-">setTaillePlateau</a></span>(java.lang.String&nbsp;taillePlateau)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setTpsTour-java.lang.String-">setTpsTour</a></span>(java.lang.String&nbsp;tpsTour)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#setTypePartie-java.lang.String-">setTypePartie</a></span>(java.lang.String&nbsp;typePartie)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#supprimerConfig--">supprimerConfig</a></span>()</code>
<div class="block">Supprime le fichier de la configuration.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../back/Configuration.html#toString--">toString</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Configuration--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Configuration</h4>
<pre>public&nbsp;Configuration()</pre>
</li>
</ul>
<a name="Configuration-back.Configuration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Configuration</h4>
<pre>public&nbsp;Configuration(<a href="../back/Configuration.html" title="class in back">Configuration</a>&nbsp;c)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getConfig--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfig</h4>
<pre>public static&nbsp;<a href="../back/Configuration.html" title="class in back">Configuration</a>&nbsp;getConfig()</pre>
</li>
</ul>
<a name="initDossierConfigs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initDossierConfigs</h4>
<pre>public static&nbsp;void&nbsp;initDossierConfigs()</pre>
<div class="block">Crée le dossier des configurations à l'emplacement du logiciel s'il n'existe pas.</div>
</li>
</ul>
<a name="initConfig--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>initConfig</h4>
<pre>public static&nbsp;<a href="../back/Configuration.html" title="class in back">Configuration</a>&nbsp;initConfig()</pre>
<div class="block">Renvoie la dernière configuration modifiée du dossier de sauvegarde. Si aucune configuration n'est sauvegardée dans le dossier ou qu'une erreur survient lors du chargement du fichier de la configuration, la méthode renvoie une nouvelle configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Configuration chargée</dd>
</dl>
</li>
</ul>
<a name="sauvegarderConfig--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sauvegarderConfig</h4>
<pre>public&nbsp;boolean&nbsp;sauvegarderConfig()</pre>
<div class="block">Sauvegarde la configuration dans le dossier des configurations, avec l'extension .config.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Réussite sauvegarde</dd>
</dl>
</li>
</ul>
<a name="chargerConfig-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>chargerConfig</h4>
<pre>public static&nbsp;<a href="../back/Configuration.html" title="class in back">Configuration</a>&nbsp;chargerConfig(java.lang.String&nbsp;nom)</pre>
<div class="block">Renvoie la configuration sauvegardée dont le nom correspond au nom transmis.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - Nom de la configuration à charger</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Configuration chargée</dd>
</dl>
</li>
</ul>
<a name="supprimerConfig--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>supprimerConfig</h4>
<pre>public&nbsp;boolean&nbsp;supprimerConfig()</pre>
<div class="block">Supprime le fichier de la configuration.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Réussite suppression</dd>
</dl>
</li>
</ul>
<a name="equals-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equals</h4>
<pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;o)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="getConfig-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfig</h4>
<pre>public static&nbsp;<a href="../back/Configuration.html" title="class in back">Configuration</a>&nbsp;getConfig(java.lang.String&nbsp;nom)</pre>
<div class="block">Renvoie la configuration correspondant au nom passé en paramètre.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nom</code> - Nom de la configuration à rechercher</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Configuration recherchée ou null si la configuration n'existe pas</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a name="setConfig-back.Configuration-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfig</h4>
<pre>public static&nbsp;void&nbsp;setConfig(<a href="../back/Configuration.html" title="class in back">Configuration</a>&nbsp;c)</pre>
</li>
</ul>
<a name="getConfigs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigs</h4>
<pre>public static&nbsp;javafx.collections.ObservableList&lt;<a href="../back/Configuration.html" title="class in back">Configuration</a>&gt;&nbsp;getConfigs()</pre>
</li>
</ul>
<a name="setNom-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNom</h4>
<pre>public&nbsp;void&nbsp;setNom(java.lang.String&nbsp;nom)</pre>
</li>
</ul>
<a name="getNom--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNom</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNom()</pre>
</li>
</ul>
<a name="getNbJoueurs--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbJoueurs</h4>
<pre>public&nbsp;int&nbsp;getNbJoueurs()</pre>
</li>
</ul>
<a name="setNbJoueurs-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbJoueurs</h4>
<pre>public&nbsp;void&nbsp;setNbJoueurs(int&nbsp;nbJoueurs)</pre>
</li>
</ul>
<a name="getNbBots--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbBots</h4>
<pre>public&nbsp;int&nbsp;getNbBots()</pre>
</li>
</ul>
<a name="setNbBots-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbBots</h4>
<pre>public&nbsp;void&nbsp;setNbBots(int&nbsp;nbBots)</pre>
</li>
</ul>
<a name="getTpsTour--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTpsTour</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTpsTour()</pre>
</li>
</ul>
<a name="setTpsTour-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTpsTour</h4>
<pre>public&nbsp;void&nbsp;setTpsTour(java.lang.String&nbsp;tpsTour)</pre>
</li>
</ul>
<a name="getArgentDepart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentDepart</h4>
<pre>public&nbsp;java.lang.String&nbsp;getArgentDepart()</pre>
</li>
</ul>
<a name="setArgentDepart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgentDepart</h4>
<pre>public&nbsp;void&nbsp;setArgentDepart(java.lang.String&nbsp;argentDepart)</pre>
</li>
</ul>
<a name="getTaillePlateau--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaillePlateau</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTaillePlateau()</pre>
</li>
</ul>
<a name="setTaillePlateau-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTaillePlateau</h4>
<pre>public&nbsp;void&nbsp;setTaillePlateau(java.lang.String&nbsp;taillePlateau)</pre>
</li>
</ul>
<a name="getArgentCaseDepart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentCaseDepart</h4>
<pre>public&nbsp;java.lang.String&nbsp;getArgentCaseDepart()</pre>
</li>
</ul>
<a name="setArgentCaseDepart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgentCaseDepart</h4>
<pre>public&nbsp;void&nbsp;setArgentCaseDepart(java.lang.String&nbsp;argentCaseDepart)</pre>
</li>
</ul>
<a name="getArgentSurCaseDepart--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getArgentSurCaseDepart</h4>
<pre>public&nbsp;java.lang.String&nbsp;getArgentSurCaseDepart()</pre>
</li>
</ul>
<a name="setArgentSurCaseDepart-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setArgentSurCaseDepart</h4>
<pre>public&nbsp;void&nbsp;setArgentSurCaseDepart(java.lang.String&nbsp;argentSurCaseDepart)</pre>
</li>
</ul>
<a name="getNbTours--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getNbTours</h4>
<pre>public&nbsp;java.lang.String&nbsp;getNbTours()</pre>
</li>
</ul>
<a name="setNbTours-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setNbTours</h4>
<pre>public&nbsp;void&nbsp;setNbTours(java.lang.String&nbsp;nbTours)</pre>
</li>
</ul>
<a name="getTypePartie--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTypePartie</h4>
<pre>public&nbsp;java.lang.String&nbsp;getTypePartie()</pre>
</li>
</ul>
<a name="setTypePartie-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTypePartie</h4>
<pre>public&nbsp;void&nbsp;setTypePartie(java.lang.String&nbsp;typePartie)</pre>
</li>
</ul>
<a name="getReglesAdditionnelles--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReglesAdditionnelles</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.String&gt;&nbsp;getReglesAdditionnelles()</pre>
</li>
</ul>
<a name="setReglesAdditionnelles-java.util.ArrayList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setReglesAdditionnelles</h4>
<pre>public&nbsp;void&nbsp;setReglesAdditionnelles(java.util.ArrayList&lt;java.lang.String&gt;&nbsp;reglesAdditionnelles)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Configuration.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../back/Chance.html" title="class in back"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../back/Depart.html" title="class in back"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?back/Configuration.html" target="_top">Frames</a></li>
<li><a href="Configuration.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
